Hi,
I have a drawing that was sent to me that has several lines of "text" that were used to label contouts....Is there a way to choose each individual string of text as a group and have each one convert to a mtext without stacking them together. I obviously want them each to stay at there current location.
Solved! Go to Solution.
Solved by wbrustle. Go to Solution.
when I tried to use that command and selected all of the strings of text, it still stacked them as one mtext. I want to keep them seperate
I know there was a lisp around but I haven't been able to locate it.
In the mean time. Here is a roundabout way.
Draw a line from the insert of one text object to any point in space
Start the TXT2MTXT command and select the text you drew the line from. Run the command with only that single text object selected. The text will shift.
Use Grips to snap the loose end of the line you drew to the new insert of the text. That will give you the shift that occurred.
Use the Multiple command to start TXT2MTXT. Select each piece of text and hit enter after that selection. Then select the next piece of text. This runs the TXT2MTXT in a loop. Use ESC to quit.
After all have been converted. Select them all and rt-click to get Justify off the rt-clk menu. Restore the original justification and use the line you drew to move the text back to the original location.
Hopefully someone will jump in with a better method before you have to resort to this.
Allen
Allen Jessup
CAD Manager - Designer
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
ok....thanks.... yes if you find that lisp, please post it...would be helpful
You can look through this thread and see if anything posted there will work. http://forums.autodesk.com/t5/Visual-LISP-AutoLISP-and-General/Looking-for-lsp-that-converts-text-to... .
There's also some here http://www.cadtutor.net/forum/showthread.php?16678-Convert-text-to-mtext-in-lisp .
Allen
Allen Jessup
CAD Manager - Designer
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
Here is a quick and dirty one. Each selected text item will be converted individually using the txt2mtxt command.
(defun c:-txt2mtxt (/ ss cnt) (setq ss (ssget '((0 . "TEXT")))) (if ss (repeat (setq cnt (sslength ss)) (command "txt2mtxt" (ssname ss (setq cnt (1- cnt))) "") ) ) )
TXT2MTXT will do this. When you use txt2mtxt do not select anything. Hit return and a dialog will magically appear. 🙂 If you uncheck the Create Word-Wrap MText the conversion will not later the alignment...You may also want to hit the Selection set if things aren't stacked properly.
John Mayo
John,
That's strange. I had thought to try that. But Txt2Mtxt still changes the justification from lower left to top left even with Create Word-Wrap unchecked.
Allen
Allen Jessup
CAD Manager - Designer
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
Here's the lisp that I use. Not sure who wrote it or where I found it anymore.
Mark Green
Working on Civil 3D in Canada
Sry Allen I was talking about the items stacking properly. If the justification on the object is an issue then yu'll need custom routines as previously noted.
John Mayo
@ Opie & Jmayo
Gentlemen, the TXT2MTXT express tool does not do what the OP's looking for.
@ Troma
Seems like yours gets the goal, but are you really sure the Dtext won't move, staying in the same original place..?
Are you referring to the AutoLISP routine I posted? I beg to differ, but I'm not the OP.
Mark Green
Working on Civil 3D in Canada
@troma wrote:
Here's the lisp that I use. Not sure who wrote it or where I found it anymore.
That converts the DText to Mtext without stacking. However it changes the justification from Left to Bottom Left.
Allen
Allen Jessup
CAD Manager - Designer
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
~Opie wrote:
I beg to differ
My apologies, sir, I've only read the code without testing it.
That's brilliant, your lisp is definitely the ultimate solution of this topic: you deserve for a (rare) kudo by me.
You could use the Txt2MText from http://dotsoft.com/freestuff.htm
It seems to offer multiple options in conversion. I used to use a previous version of this before the similar command was offered in Express Tools.
Allen
Allen Jessup
CAD Manager - Designer
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
Can't find what you're looking for? Ask the community or share your knowledge.